=== modified file 'extra/comp_err.c'
--- extra/comp_err.c	2008-07-11 15:49:04 +0000
+++ extra/comp_err.c	2008-07-13 21:40:41 +0000
@@ -141,7 +141,7 @@
 static int get_options(int *argc, char ***argv);
 static void print_version(void);
 static void usage(void);
-static my_bool get_one_option(int optid, const struct my_option *opt,
+static bool get_one_option(int optid, const struct my_option *opt,
 			      char *argument);
 static char *parse_text_line(char *pos);
 static int copy_rows(FILE * to, char *row, int row_nr, long start_pos);
@@ -972,7 +972,7 @@
 }
 
 
-static my_bool
+static bool
 get_one_option(int optid, const struct my_option *opt __attribute__ ((unused)),
 	       char *argument __attribute__ ((unused)))
 {

=== modified file 'extra/mysql_waitpid.c'
--- extra/mysql_waitpid.c	2008-07-11 15:49:04 +0000
+++ extra/mysql_waitpid.c	2008-07-13 21:40:41 +0000
@@ -42,7 +42,7 @@
   { 0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
 };
 
-static my_bool
+static bool
 get_one_option(int optid, const struct my_option *opt __attribute__((unused)),
 	       char *argument __attribute__((unused)))
 {

=== modified file 'libdrizzle/Makefile.am'
--- libdrizzle/Makefile.am	2008-07-09 20:46:27 +0000
+++ libdrizzle/Makefile.am	2008-07-13 22:28:24 +0000
@@ -20,11 +20,7 @@
 #
 # This file is public domain and comes with NO WARRANTY of any kind
 
-AM_CPPFLAGS =	-I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys -I$(top_builddir)/sql-common
-
-if BUILD_DBUG
-  d_dbug = $(top_builddir)/dbug/libdbuglt.la
-endif
+AM_CPPFLAGS =	-I$(top_srcdir)/include -I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys
 
 MYSQLDATAdir =			$(localstatedir)
 MYSQLSHAREdir =			$(pkgdatadir)
@@ -32,12 +28,11 @@
 
 pkglib_LTLIBRARIES = libdrizzle.la
 libdrizzle_la_SOURCES = libdrizzle.c client.c net_serv.c get_password.c
-libdrizzle_la_LIBADD = ${sql_cmn_objects} ${sqlobjects} \
-			   ${top_builddir}/mysys/libmysyslt.la \
-			   ${top_builddir}/strings/libmystringslt.la \
-			   $(d_dbug) \
-			   libsqlcommon.la \
-			   ${top_builddir}/vio/libviolt.la 
+libdrizzle_la_LIBADD =	${sql_cmn_objects} ${sqlobjects} \
+			${top_builddir}/mysys/libmysyslt.la \
+			${top_builddir}/strings/libmystringslt.la \	
+			libsqlcommon.la \
+			${top_builddir}/vio/libviolt.la 
 libdrizzle_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
 
 noinst_LTLIBRARIES = libsqlcommon.la

=== modified file 'plugin/hello_world/Makefile.am'
--- plugin/hello_world/Makefile.am	2008-07-13 16:48:26 +0000
+++ plugin/hello_world/Makefile.am	2008-07-13 21:27:17 +0000
@@ -19,20 +19,18 @@
 MYSQLBASEdir=           $(prefix)
 MYSQLLIBdir=            $(pkglibdir)
 pkgplugindir =		$(pkglibdir)/plugin
-AM_CPPFLAGS =              -I$(top_srcdir)/include -I$(top_builddir)/include \
+AM_CPPFLAGS =           -I$(top_srcdir)/include -I$(top_builddir)/include \
 			-I$(top_srcdir)/server \
                         -I$(srcdir)
 
 EXTRA_LTLIBRARIES =	libhello_world.la
 pkgplugin_LTLIBRARIES =	@plugin_hello_world_shared_target@
 libhello_world_la_LDFLAGS =	-module -rpath $(pkgplugindir)
-libhello_world_la_CXXFLAGS=	$(AM_CFLAGS) -DMYSQL_DYNAMIC_PLUGIN
-libhello_world_la_CFLAGS =	$(AM_CFLAGS) -DMYSQL_DYNAMIC_PLUGIN
+libhello_world_la_CPPFLAGS=	$(AM_CPPFLAGS) -DMYSQL_DYNAMIC_PLUGIN
 libhello_world_la_SOURCES =	hello_world.cc
 
 
 EXTRA_LIBRARIES =	libhello_world.a
 noinst_LIBRARIES =	@plugin_hello_world_static_target@
-libhello_world_a_CXXFLAGS =	$(AM_CFLAGS)
-libhello_world_a_CFLAGS =	$(AM_CFLAGS)
+libhello_world_a_CPPFLAGS =	$(AM_CPPFLAGS)
 libhello_world_a_SOURCES=	hello_world.cc

=== modified file 'plugin/hello_world/hello_world.cc'
--- plugin/hello_world/hello_world.cc	2008-07-12 11:37:59 +0000
+++ plugin/hello_world/hello_world.cc	2008-07-13 21:26:32 +0000
@@ -38,6 +38,10 @@
 char *udf_doit_hello_world(UDF_INIT *initid, UDF_ARGS *args, char *result,
 			   unsigned long *length, char *is_null, char *error)
 {
+  /* We don't use these, so void them out */
+  (void)initid;
+  (void)args;
+
   /* "result" is preallocated 255 bytes for me, if i want to use it */
   strncpy(result, "Hello, world!", 255);
 
@@ -56,6 +60,9 @@
 
 void udf_deinit_hello_world(UDF_INIT *initid)
 {
+  /* We don't use this, so void it out */
+  (void)initid;
+
   /* if we allocated initid->ptr, free it here */
   return;
 }
@@ -65,7 +72,7 @@
 {
   udf_func *udff= (udf_func *) p;
 
-  udff->name.str= "hello_world";
+  udff->name.str= (char *)"hello_world";
   udff->name.length= strlen("hello_world");
   udff->type= UDFTYPE_FUNCTION;
   udff->returns= STRING_RESULT;
@@ -78,7 +85,14 @@
 
 static int hello_world_plugin_deinit(void *p)
 {
-  udf_func *udff = (udf_func *) p;
+  /* We don't use this, so void it out */
+  (void)p;
+
+  /* There is nothing to de-init here, but if 
+   * something is needed from the udf_func, it 
+   * can be had from p with:
+   *   udf_func *udff = (udf_func *) p;
+   */
 
   return 0;
 }

=== modified file 'server/sql_plugin.cc'
--- server/sql_plugin.cc	2008-07-13 22:45:08 +0000
+++ server/sql_plugin.cc	2008-07-14 03:04:13 +0000
@@ -1403,8 +1403,8 @@
 
 #define EXTRA_OPTIONS 3 /* options for: 'foo', 'plugin-foo' and NULL */
 
-typedef DECLARE_MYSQL_SYSVAR_BASIC(sysvar_bool_t, my_bool);
-typedef DECLARE_MYSQL_THDVAR_BASIC(thdvar_bool_t, my_bool);
+typedef DECLARE_MYSQL_SYSVAR_BASIC(sysvar_bool_t, bool);
+typedef DECLARE_MYSQL_THDVAR_BASIC(thdvar_bool_t, bool);
 typedef DECLARE_MYSQL_SYSVAR_BASIC(sysvar_str_t, char *);
 typedef DECLARE_MYSQL_THDVAR_BASIC(thdvar_str_t, char *);
 
@@ -2493,7 +2493,7 @@
       continue;
     switch (opt->flags & PLUGIN_VAR_TYPEMASK) {
     case PLUGIN_VAR_BOOL:
-      SET_PLUGIN_VAR_RESOLVE((thdvar_bool_t *) opt);
+      SET_PLUGIN_VAR_RESOLVE(((thdvar_bool_t *) opt));
       break;
     case PLUGIN_VAR_INT:
       SET_PLUGIN_VAR_RESOLVE((thdvar_int_t *) opt);

=== modified file 'storage/archive/azio.h'
--- storage/archive/azio.h	2008-07-13 22:21:51 +0000
+++ storage/archive/azio.h	2008-07-14 03:04:13 +0000
@@ -39,11 +39,11 @@
 /* We currently allow this on all platforms */
 #define AZIO_AIO
 
-#include <zlib.h>
 #include "my_global.h"
 #include "my_sys.h"
 
 #include <my_dir.h>
+#include <zlib.h>
 
 #ifdef  __cplusplus
 extern "C" {

=== modified file 'storage/heap/Makefile.am'
--- storage/heap/Makefile.am	2008-07-07 02:40:36 +0000
+++ storage/heap/Makefile.am	2008-07-13 21:29:19 +0000
@@ -13,10 +13,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-if BUILD_DBUG
-  d_dbug = $(top_builddir)/dbug/libdbuglt.la
-endif
-
 MYSQLDATAdir =          $(localstatedir)
 MYSQLSHAREdir =         $(pkgdatadir)
 MYSQLBASEdir=           $(prefix)
@@ -27,24 +23,15 @@
                         -I$(srcdir)
 WRAPLIBS=
 
-LDADD =
+LDADD =			libheap.la \
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/strings/libmystringslt.la
 
 DEFS =                  @DEFS@
-pkglib_LIBRARIES =	libheap.a
+noinst_LTLIBRARIES  =	libheap.la
 noinst_PROGRAMS	=	hp_test1 hp_test2
-noinst_LIBRARIES =	libheap.a
-hp_test1_LDFLAGS = 
-hp_test1_LDADD =	libheap.a \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la
-hp_test2_LDFLAGS = 
-hp_test2_LDADD =	libheap.a \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la
 noinst_HEADERS =	heapdef.h ha_heap.h
-libheap_a_SOURCES =	hp_open.c hp_extra.c hp_close.c hp_panic.c hp_info.c \
+libheap_la_SOURCES =	hp_open.c hp_extra.c hp_close.c hp_panic.c hp_info.c \
 			hp_rrnd.c hp_scan.c hp_update.c hp_write.c hp_delete.c \
 			hp_rsame.c hp_create.c hp_rename.c hp_rfirst.c \
 			hp_rnext.c hp_rlast.c hp_rprev.c hp_clear.c \

=== modified file 'storage/heap/plug.in'
--- storage/heap/plug.in	2008-06-25 05:29:13 +0000
+++ storage/heap/plug.in	2008-07-13 21:29:19 +0000
@@ -1,7 +1,7 @@
 MYSQL_STORAGE_ENGINE(heap,no,   [Memory Storage Engine],
         [Volatile memory based tables])
 MYSQL_PLUGIN_DIRECTORY(heap,    [storage/heap])
-MYSQL_PLUGIN_STATIC(heap,       [libheap.a])
+MYSQL_PLUGIN_STATIC(heap,       [libheap.la])
 MYSQL_PLUGIN_MANDATORY(heap)    dnl Memory tables
 MYSQL_PLUGIN_DEPENDS_ON_MYSQL_INTERNALS(heap, [ha_heap.cc])
 

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-07-09 01:40:54 +0000
+++ storage/myisam/Makefile.am	2008-07-13 21:29:19 +0000
@@ -27,49 +27,23 @@
                         -I$(srcdir)
 WRAPLIBS=
 
-LDADD =
+LDADD=			libmyisamutil.la \
+			libmyisamnone.la \
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(d_dbug) \
+			$(top_builddir)/strings/libmystringslt.la -lz
 
 DEFS =                  @DEFS@
 
-EXTRA_DIST =		mi_test_all.sh mi_test_all.res plug.in
+EXTRA_DIST =		mi_test_all.res plug.in
 pkgdata_DATA =		mi_test_all mi_test_all.res
 
 noinst_LTLIBRARIES =	libmyisam.la libmyisamutil.la \
 			libmyisamha.la libmyisamnone.la
 bin_PROGRAMS =		myisamchk myisamlog myisampack
-myisamchk_LDADD=	libmyisamutil.la \
-			libmyisamnone.la \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la -lz
-myisamlog_LDADD=	libmyisamutil.la \
-			libmyisamnone.la \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la -lz
-myisampack_LDADD=	libmyisamutil.la \
-			libmyisamnone.la \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la -lz
 noinst_PROGRAMS =	mi_test1 mi_test2 mi_test3
 noinst_HEADERS =	myisamdef.h \
 			ha_myisam.h
-mi_test1_LDADD=		libmyisamutil.la \
-			libmyisamnone.la \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la -lz
-mi_test2_LDADD=		libmyisamutil.la \
-			libmyisamnone.la \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la -lz
-mi_test3_LDADD=		libmyisamutil.la \
-			libmyisamnone.la \
-			$(top_builddir)/mysys/libmysyslt.la \
-			$(d_dbug) \
-			$(top_builddir)/strings/libmystringslt.la -lz
 libmyisamutil_la_SOURCES = mi_open.c mi_extra.c mi_info.c mi_rkey.c \
 			mi_rnext.c mi_rnext_same.c \
 			mi_search.c mi_page.c mi_key.c mi_locking.c \
@@ -91,53 +65,5 @@
 libmyisam_la_SOURCES = 
 libmyisam_la_LIBADD = libmyisamha.la libmyisamutil.la
 
-CLEANFILES =		test?.MY? FT?.MY? isam.log mi_test_all
-
-# Move to automake rules ?
-prolint:;	plparse -b -u -hF1 "-width(0,0)" "-format=%f:%l:\s%t:%n\s%m" \
-		"-elib(????)" "+elib(?3??)" my.lnt $(nisam_SOURCES)
-
-SUFFIXES = .sh
-
-.sh:
-	@RM@ -f $@ $@-t
-	@SED@ \
-	  -e 's!@''bindir''@!$(bindir)!g' \
-	  -e 's!@''scriptdir''@!$(bindir)!g' \
-	  -e 's!@''prefix''@!$(prefix)!g' \
-	  -e 's!@''datadir''@!$(datadir)!g' \
-	  -e 's!@''localstatedir''@!$(localstatedir)!g' \
-	  -e 's!@''libexecdir''@!$(libexecdir)!g' \
-	  -e 's!@''CC''@!@CC@!'\
-	  -e 's!@''CXX''@!@CXX@!'\
-	  -e 's!@''GXX''@!@GXX@!'\
-	  -e 's!@''PERL''@!@PERL@!' \
-	  -e 's!@''CFLAGS''@!@SAVE_CFLAGS@!'\
-	  -e 's!@''CXXFLAGS''@!@SAVE_CXXFLAGS@!'\
-	  -e 's!@''LDFLAGS''@!@SAVE_LDFLAGS@!'\
-	  -e 's!@''VERSION''@!@VERSION@!' \
-	  -e 's!@''MYSQL_SERVER_SUFFIX''@!@MYSQL_SERVER_SUFFIX@!' \
-	  -e 's!@''COMPILATION_COMMENT''@!@COMPILATION_COMMENT@!' \
-	  -e 's!@''MACHINE_TYPE''@!@MACHINE_TYPE@!' \
-	  -e 's!@''HOSTNAME''@!@HOSTNAME@!' \
-	  -e 's!@''SYSTEM_TYPE''@!@SYSTEM_TYPE@!' \
-	  -e 's!@''CHECK_PID''@!@CHECK_PID@!' \
-	  -e 's!@''FIND_PROC''@!@FIND_PROC@!' \
-	  -e 's!@''MYSQLD_DEFAULT_SWITCHES''@!@MYSQLD_DEFAULT_SWITCHES@!' \
-	  -e 's!@''MYSQL_UNIX_ADDR''@!@MYSQL_UNIX_ADDR@!' \
-	  -e 's!@''TARGET_LINUX''@!@TARGET_LINUX@!' \
-	  -e "s!@""CONF_COMMAND""@!@CONF_COMMAND@!" \
-	  -e 's!@''MYSQLD_USER''@!@MYSQLD_USER@!' \
-	  -e 's!@''sysconfdir''@!@sysconfdir@!' \
-	  -e 's!@''SHORT_MYSQL_INTRO''@!@SHORT_MYSQL_INTRO@!' \
-	  -e 's!@''SHARED_LIB_VERSION''@!@SHARED_LIB_VERSION@!' \
-	  -e 's!@''MYSQL_BASE_VERSION''@!@MYSQL_BASE_VERSION@!' \
-	  -e 's!@''MYSQL_NO_DASH_VERSION''@!@MYSQL_NO_DASH_VERSION@!' \
-	  -e 's!@''MYSQL_TCP_PORT''@!@MYSQL_TCP_PORT@!' \
-	  -e 's!@''PERL_DBI_VERSION''@!@PERL_DBI_VERSION@!' \
-	  -e 's!@''PERL_DBD_VERSION''@!@PERL_DBD_VERSION@!' \
-	  -e 's!@''PERL_DATA_DUMPER''@!@PERL_DATA_DUMPER@!' \
-	$< > $@-t
-	@CHMOD@ +x $@-t
-	@MV@ $@-t $@
+CLEANFILES =		test?.MY? FT?.MY? isam.log
 

=== modified file 'storage/myisam/mi_locking.c'
--- storage/myisam/mi_locking.c	2008-07-06 08:22:57 +0000
+++ storage/myisam/mi_locking.c	2008-07-14 03:04:13 +0000
@@ -381,7 +381,7 @@
     1  not ok
 */
 
-my_bool mi_check_status(void *param)
+bool mi_check_status(void *param)
 {
   MI_INFO *info=(MI_INFO*) param;
   /*

=== modified file 'storage/myisam/mi_test1.c'
--- storage/myisam/mi_test1.c	2008-07-11 15:49:04 +0000
+++ storage/myisam/mi_test1.c	2008-07-13 21:40:41 +0000
@@ -583,7 +583,7 @@
 };
 
 
-static my_bool
+static bool
 get_one_option(int optid, const struct my_option *opt __attribute__((unused)),
 	       char *argument __attribute__((unused)))
 {

=== renamed file 'storage/myisam/mi_test_all.sh' => 'storage/myisam/mi_test_all.in'
=== modified file 'storage/myisam/myisamdef.h'
--- storage/myisam/myisamdef.h	2008-07-13 22:21:51 +0000
+++ storage/myisam/myisamdef.h	2008-07-14 03:04:13 +0000
@@ -294,9 +294,6 @@
 
   index_cond_func_t index_cond_func;   /* Index condition function */
   void *index_cond_func_arg;           /* parameter for the func */
-#ifdef __WIN__
-  my_bool owned_by_merge;                       /* This MyISAM table is part of a merge union */
-#endif
   THR_LOCK_DATA lock;
   uchar  *rtree_recursion_state;	/* For RTREE */
   int     rtree_recursion_depth;
@@ -747,7 +744,7 @@
 void mi_update_status(void* param);
 void mi_restore_status(void* param);
 void mi_copy_status(void* to,void *from);
-my_bool mi_check_status(void* param);
+bool mi_check_status(void* param);
 
 extern MI_INFO *test_if_reopen(char *filename);
 my_bool check_table_is_closed(const char *name, const char *where);

=== modified file 'storage/myisam/myisampack.c'
--- storage/myisam/myisampack.c	2008-07-13 22:45:08 +0000
+++ storage/myisam/myisampack.c	2008-07-14 03:04:13 +0000
@@ -314,7 +314,7 @@
 
 #include <help_end.h>
 
-static my_bool
+static bool
 get_one_option(int optid, const struct my_option *opt __attribute__((unused)),
 	       char *argument)
 {

=== modified file 'storage/myisam/plug.in'
--- storage/myisam/plug.in	2008-07-06 18:04:11 +0000
+++ storage/myisam/plug.in	2008-07-13 21:29:19 +0000
@@ -4,4 +4,6 @@
 MYSQL_PLUGIN_STATIC(myisam,     [libmyisam.la])
 MYSQL_PLUGIN_MANDATORY(myisam)  dnl Default
 MYSQL_PLUGIN_DEPENDS_ON_MYSQL_INTERNALS(myisam, [ha_myisam.cc])
-
+MYSQL_PLUGIN_ACTIONS(myisam,[
+  AC_CONFIG_FILES(storage/myisam/mi_test_all)
+])

